<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Transtypage d'un réel</title>
 </head>
 <body>
 <?php
  define("WEB_EOL","<br/>");
  $x="18.2";
  var_dump($x);
  echo WEB_EOL;
  $x=(float)$x; // transtypage explicite
  var_dump($x);
  echo WEB_EOL;
  
  $y="8.2texte";
  var_dump($y);
  echo WEB_EOL;
  $y=(float)$y; // transtypage explicite
  var_dump($y);
  echo WEB_EOL;
 ?>
 </body>
</html>


